Bug 1464951 - Automated CRUSH weight optimisation
Automated CRUSH weight optimisation
Status: NEW
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 3.1
Assigned To: Josh Durgin
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 05:46 EDT by John Spray
Modified: 2017-07-30 11:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Spray 2017-06-26 05:46:51 EDT
A manager module that runs on demand, or in the background, to adjust CRUSH weights based on OSD utilisation, in small enough increments to avoid excessive data movement.

Should satisfy two use cases:
 * Fixing statistical OSD imbalance to avoid one drive going full too soon
 * Automating gradual weight-in/weight-out of drives so that administrator doesn't have to personally keep adjusting weight.
Comment 5 Josh Durgin 2017-07-18 20:00:41 EDT
Not started yet upstream, but should be backportable.

Note You need to log in before you can comment on or make changes to this bug.